POST
/
proxy_api
/
v1
/
geonode
/
users
/
create
Create a sub-user
curl --request POST \
  --url https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/geonode/users/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "username": "<string>",
  "password": "<string>",
  "trafficLimit": 123
}
'
{
  "userId": "<string>",
  "trafficLimit": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "username": "<string>",
  "password": "<string>"
}

Authorizations

Authorization
string
header
required

[just text field] Please enter token in following format: Bearer

Body

application/json
username
string
required

username

password
string
required

password

trafficLimit
number
required

amount in gb

Response

User created

userId
string
required

userId

trafficLimit
number
required

amount in gb

createdAt
string<date-time>
required

created time

updatedAt
string<date-time>
required

updated time

username
string
required

username

password
string
required

password